
#cs
	PlugIn-SDK fr Galenda 1.0
	von peethebee

	Aufbau der Datenbank in Galenda:
	Tabelle Appointments:  id, start_time, end_time, title, desc, category, location
	Tabelle Alarms:        id, ref_id, alarm_time, alarm_time_rel, alarm_type, alarm_details
	
	Hinweise:
	 - Die Spalte "id" wird jeweils automatisch vergeben, einfach "Null" bergeben!)
	 - Ein sehr ntzliches Tool im Umgang mit SQLite-Datenbanken ist "SYLiteSpy"; damit kann man den Aufbau analysieren und testweise direkt SQLite-Befehl absetzen, Link: http://www.yunga.de/delphi/sqlitepy/
	 - Die Datumswerte sind internationale Daten ohne Trennzeichen, also z.B. statt 2006/07/30 12:20 200607301220

#ce


; ##############################
; AutoIt options
; ##########################0####
Opt("GUIOnEventMode", 1) ; wichtig! Bitte beachten! Macht Dinge bei einem so groen Skript wesentlich einfacher


; ##############################
; includes
; ##############################
; [SQLite-Funktionen]:
#include "SQLite.au3"


; ##############################
; HotKey definitions
; ##############################


; ##############################
; Constants
; ##############################

; ##############################
; Global vars & Config vars
; ##############################
$default_path = ""

; ##############################
; Quick test area
; ##############################



; ##############################
; GUIs aufbauen
; ##############################



; ##############################
; Main Loop
; ##############################
While 1
	Sleep(25)
WEnd


; ##############################
; Functions
; ##############################

; peethebee (Danke an jonk!)
Func _DoSQL($_SQL_Code, $cal_filename = "default")
	Dim $ret_array[250][15]
	
	; Datenbank initialisieren und ffnen
	_SQLite_Startup (@ScriptDir & "\Resources\sqlite3.dll")
	If @error > 0 Then
		_SetStatus("SQLite-DLL konnte nicht geladen werden")
		Return 0
	EndIf
	
	If $cal_filename = "default" Then
		$dbname = $default_path
		If $default_path = "" Then
			_SetStatus("Keine Standarddatei fr SQLite definiert!")
			Return 0
		EndIf
	Else
		$dbname = $cal_filename
	EndIf
	
	_sqLiTe_opEn ($dbname)
	If @error > 0 Then
		_SetStatus($dbname & " konnte nicht geffnet werden (Rechte?, Datei in Benutzung?)")
		Return 0
	EndIf
	
	Dim $hQuery, $aRow
	
	$iTmp = _SQlite_Query (-1, $_SQL_Code, $hQuery)
	If Not $iTmp = $SQLITE_OK Then
		_SetStatus("SQLite-Befehl verursachte einen Fehler: " & $_SQL_Code)
	EndIf
	
	$num_results = 0
	While _SQLite_FetchData ($hQuery, $aRow) = $SQLITE_OK
		$num_results += 1
		; Daten in Array kippen und dann zurckgeben (noch nicht getestet)
		For $i = 0 To UBound($aRow) - 1
			$ret_array[$num_results][$i] = $aRow[$i]
		Next
	WEnd
	; Lnge des Ergebnisses erfassen, Ergebnisse ab $ret_array[1]
	$ret_array[0][0] = $num_results
	$ret_array[0][1] = UBound($aRow)
	
	$iTmp = _SQLite_Close ()
	If Not $iTmp = $SQLITE_OK Then
		_SetStatus("Datenbank konnte nicht geschlossen werden.")
		_SetStatus("SQLite ErrCode: " & $iTmp)
		_SetStatus("SQLite ErrMsg: " & _SQLite_ErrMsg ())
		Return 0
	EndIf
	_SQLite_Shutdown ()
	
	Return $ret_array
EndFunc   ;==>_DoSQL


Func _SetStatus($_setst_text)
	MsgBox(0, "", $_setst_text)
EndFunc